// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
nz-card([nzBorderless]="true")
  p(*ngIf="data.length == 0") NO ENTRY
  div.ryax-io(*ngFor="let io of data")
    span.ryax-io-name(*ngIf="!isFile(io.type) && !isDirectory(io.type)") {{ io.name }}
    .ryax-io-file(*ngIf="isFile(io.type)")
      span {{ io.name }}
      button((click)="downloadFile(io.value)", nz-button, nzType="primary", [disabled]="io.value === null") Download file
    .ryax-io-file(*ngIf="isDirectory(io.type)")
      span {{ io.name }}
      button((click)="downloadFile(io.value)", nz-button, nzType="primary", [disabled]="io.value === null") Download directory
    .ryax-io-password(*ngIf="isPassword(io.type)")
      span {{ passwordVisibility[io.id] ? io.value : "••••••••" }}
      button(nz-button, nzSize="small", nzShape="circle", (click)="passwordVisibility[io.id] = !passwordVisibility[io.id]")
        i.ryax-password-button(nz-icon, [nzType]="passwordVisibility[io.id] ? 'eye-invisible' : 'eye'")
    .ryax-io-text(*ngIf="isText(io.type)")
      ryax-console-display([textContent]="io.value ? io.value!.toString(): null", [refreshButton]=false)
    span(*ngIf="!isFile(io.type) && !isDirectory(io.type) && !isPassword(io.type) && !isText(io.type)") {{ io.value }}
